# AppendIterator::next

(PHP 5 >= 5.1.0, PHP 7)

AppendIterator::next — Moves to the next element

### Description

public AppendIterator::next ( void ) : void

Moves to the next element. If this means to another Iterator then it rewinds that Iterator.

### Parameters

This function has no parameters.

### Return Values

No value is returned.

### See Also

- Iterator::next() - Move forward to next element
- AppendIterator::current() - Gets the current value
- AppendIterator::key() - Gets the current key
- AppendIterator::valid() - Checks validity of the current element
- AppendIterator::rewind() - Rewinds the Iterator